Changes Since Timestamp
GET
/rt/v2/changes
const url = 'https://example.com/rt/v2/changes?limit=200';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/rt/v2/changes?limit=200'Poll for changes since a given timestamp (ISO8601).
Returns events visible to current user (broadcast or explicit recipient). Response includes server timestamp for next poll.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”include_types
Any of:
Array<string>
null
limit
Limit
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}